Bug 243235 - Yum.conf manpage lists file locations different than where they occur in /etc.
Summary: Yum.conf manpage lists file locations different than where they occur in /etc.
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 04:48 UTC by Eric Hansin
Modified: 2014-01-21 22:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 22:00:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum.conf manpage updated for F7 (1.85 KB, patch)
2007-06-10 23:50 UTC, Gianluca Varisco
no flags Details | Diff

Description Eric Hansin 2007-06-08 04:48:44 UTC
Description of problem:

Yum.conf manpage lists file location different than where they are in /etc. 
Manpage lists:

/etc/yum/yum.conf
/etc/yum/repos.d/
/etc/yum/pluginconf.d/

yet actual structure on filesystem is:

/etc/yum.conf
/etc/repos.d/

/etc/yum/pluginconf.d is correct.

Comment 1 Gianluca Varisco 2007-06-10 23:50:35 UTC
Created attachment 156677 [details]
yum.conf manpage updated for F7

I made a simple patch for 'yum.conf.5'. It updates yum configuration file and
directory for repos. The original source that I used is available here:
http://devel.linux.duke.edu/cgi-bin/viewcvs.cgi/yum/docs/yum.conf.5?revision=1.46&view=markup

Comment 2 Till Maas 2007-07-27 09:49:32 UTC
(In reply to comment #0)
> Description of problem:
> 
> Yum.conf manpage lists file location different than where they are in /etc. 
> Manpage lists:
> 
> /etc/yum/yum.conf
> /etc/yum/repos.d/
> /etc/yum/pluginconf.d/

Imho the locations in the filesystem need to be adjusted, these new file
locations  seem to be already supported by yum and imho are better than the old
ones.

Comment 3 Seth Vidal 2007-07-27 16:38:53 UTC
What's happening is this - we had to support multiple paths for some of the
files for backward compat. The man pages are correct - we just also support
other places to allow older installs of config files and repository info to work
correctly.



Note You need to log in before you can comment on or make changes to this bug.